#!/bin/bash
PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin

DASHBOARD="os.mephi.ru"
GENCERT_ARGS=(" -d $DASHBOARD ")

for LINE in $(cat /etc/webaliases); do
	IFS=":"; WORDS=($LINE); IFS="$oldIFS"
	HOST="${WORDS[0]}"
	GENCERT_ARGS+=" -d ${HOST} "
done

if [ "$(stat -c %Y /etc/webaliases)" -gt "$(stat -c %Y /etc/letsencrypt/live/sites/cert.pem)" ]; then
	/root/bin/generate-certificate.sh ${GENCERT_ARGS[@]}
fi
