#!/bin/bash
PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin

#certbot certonly --cert-name instances --agree-tos --email admin@ut.mephi.ru --preferred-challenges=dns --expand --manual-public-ip-logging-ok -n --renew-by-default --manual --manual-auth-hook /root/bin/generate-certificate-auth-hook.sh --manual-cleanup-hook /root/bin/generate-certificate-cleanup-hook.sh $@
#certbot certonly --cert-name sites --agree-tos --email admin@ut.mephi.ru --preferred-challenges http --expand --manual-public-ip-logging-ok -n --renew-by-default --authenticator certbot-haproxy:haproxy-authenticator --installer certbot-haproxy:haproxy-installer $@
certbot certonly --cert-name sites --agree-tos --email admin@ut.mephi.ru --preferred-challenges http --expand --manual-public-ip-logging-ok -n --renew-by-default --webroot -w /var/www/certbot $@

cat /etc/letsencrypt/live/sites/{fullchain,privkey}.pem > /etc/letsencrypt/live/sites/haproxy.pem
